## ros-noetic-pyhri 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(pyhri)

find_package(catkin REQUIRED COMPONENTS
    rostest
  cv_bridge
  geometry_msgs
  hri_msgs
  rospy
  sensor_msgs
  std_msgs
  tf2
  tf2_ros
)

catkin_package(
  LIBRARIES pyhri
  CATKIN_DEPENDS cv_bridge geometry_msgs hri_msgs rospy sensor_msgs std_msgs tf2 tf2_ros
)

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
    add_rostest(test/test_pyhri.test)
endif()

=== debian/changelog ===
ros-noetic-pyhri (0.3.2-1buster) buster; urgency=high

  * fix RoI-related message types. Unit-tests pass again.
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 24 Oct 2022 22:00:00 -0000

ros-noetic-pyhri (0.3.1-1buster) buster; urgency=high

  * voice: add support for is_speaking
  * ensure known persons get their face/body/voice instances properly updated
    Fixes #4
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 25 Oct 2022 22:00:00 -0000

ros-noetic-pyhri (0.3.0-1buster) buster; urgency=high

  * wire up callbacks for when features appear/disappear
  * body: currently, hri_fullbody (incorrectly) returns a RegionOfInterest for the RoI, instead of a NormalisedRegionOfInterest2D
  * body: skeleton2d now gives direct access to the list of joints coordinates
  * voice: expose last recognised speech + transform
  * use @property to make the API simpler and safer
    In particular, to transparently provide *copies* of the faces, bodies, voices, persons list in HRIListener
  * body: expose skeleton2d, transform, {RegionOfInterest -> NormalizedRegionOfInterest2D} + doc
  * face: {RegionOfInterest -> NormalizedRegionOfInterest2D} + doc
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Fri, 21 Oct 2022 22:00:00 -0000

ros-noetic-pyhri (0.2.0-1buster) buster; urgency=high

  * autogenerate docs with rosdoc (for display on ROS wiki) and SPHINX
  * More api documentation
  * adjust code base for ReadTheDocs doc generation
    In particular:
    - add a requirements.txt file for catkin
    - allows importing pyhri without rospy
  * Face.transform|Face.gaze_transform can change their reference frame
  * removed dep on numpy.typing as it is not widely available yet
  * mark features as invalid once they disappear
  * returns copy of persons to avoid modifying dictionary while iterating
    While here, add infrastrcutre to check whether a face/body/voice/person is still valid
  * expose the tf transform of the face and gaze
  * add BSD license file
  * [test] further tuning of tests' waiting behaviours for #1
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 17 Oct 2022 22:00:00 -0000

ros-noetic-pyhri (0.1.3-1buster) buster; urgency=high

  * refining waiting + closing in tests -- they all pass reliably on my machine
  * unregister from main topics when closing HRIListener
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 12 Jul 2022 22:00:00 -0000

ros-noetic-pyhri (0.1.2-1buster) buster; urgency=high

  * [cmake] add test only behing CATKIN_ENABLE_TESTING
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 11 Jul 2022 22:00:00 -0000

ros-noetic-pyhri (0.1.1-1buster) buster; urgency=high

  * various fixes after first test with actual ROS4HRI messages
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 05 Jul 2022 22:00:00 -0000

ros-noetic-pyhri (0.1.0-1buster) buster; urgency=high

  * initial implementation, closely following the libhri C++ API
  * all unit-tests pass (modulo random timing/waiting issues)
  * add basic README
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 05 Jul 2022 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-pyhri
Section: misc
Priority: optional
Maintainer: Séverin Lemaignan <severin.lemaignan@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-cv-bridge, ros-noetic-geometry-msgs, ros-noetic-hri-msgs, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf2, ros-noetic-tf2-ros
Homepage: http://wiki.ros.org/pyhri
Standards-Version: 3.9.2

Package: ros-noetic-pyhri
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cv-bridge, ros-noetic-geometry-msgs, ros-noetic-hri-msgs, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf2, ros-noetic-tf2-ros
Description: A Python wrapper library around the ROS4HRI ROS topics

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-pyhri//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-pyhri 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(pyhri)
 
 find_package(catkin REQUIRED COMPONENTS
-    rostest
+  rostest
   cv_bridge
   geometry_msgs
   hri_msgs
@@ -14,7 +14,6 @@
 )
 
 catkin_package(
-  LIBRARIES pyhri
   CATKIN_DEPENDS cv_bridge geometry_msgs hri_msgs rospy sensor_msgs std_msgs tf2 tf2_ros
 )

=== requirements.txt ===
catkin-pkg

=== debian/changelog ===
ros-noetic-pyhri (0.4.1-1focal) focal; urgency=high

  * fix voice callbacks test
  * change RoI message type to hri_msgs/NormalizedRegionOfInterest2D
  * Contributors: Luka Juricic

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 04 Jul 2023 22:00:00 -0000

ros-noetic-pyhri (0.4.0-1focal) focal; urgency=high

  * {hri->pyhri}
    This was causing catkin to not find pyhri when included in other projects
  * add callbacks for speech recognition + tests
  * fix AttributeError on first detection
  * use sensor_msgs/RegionOfInterest msg for compatibility with other ROS4HRI repos
  * Contributors: Luca Pozzi, Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 11 Apr 2023 22:00:00 -0000

ros-noetic-pyhri (0.3.2-1focal) focal; urgency=high

  * fix RoI-related message types. Unit-tests pass again.
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 24 Oct 2022 22:00:00 -0000

ros-noetic-pyhri (0.3.1-1focal) focal; urgency=high

  * voice: add support for is_speaking
  * ensure known persons get their face/body/voice instances properly updated
    Fixes #4
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 25 Oct 2022 22:00:00 -0000

ros-noetic-pyhri (0.3.0-1focal) focal; urgency=high

  * wire up callbacks for when features appear/disappear
  * body: currently, hri_fullbody (incorrectly) returns a RegionOfInterest for the RoI, instead of a NormalisedRegionOfInterest2D
  * body: skeleton2d now gives direct access to the list of joints coordinates
  * voice: expose last recognised speech + transform
  * use @property to make the API simpler and safer
    In particular, to transparently provide *copies* of the faces, bodies, voices, persons list in HRIListener
  * body: expose skeleton2d, transform, {RegionOfInterest -> NormalizedRegionOfInterest2D} + doc
  * face: {RegionOfInterest -> NormalizedRegionOfInterest2D} + doc
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Fri, 21 Oct 2022 22:00:00 -0000

ros-noetic-pyhri (0.2.0-1focal) focal; urgency=high

  * autogenerate docs with rosdoc (for display on ROS wiki) and SPHINX
  * More api documentation
  * adjust code base for ReadTheDocs doc generation
    In particular:
    - add a requirements.txt file for catkin
    - allows importing pyhri without rospy
  * Face.transform|Face.gaze_transform can change their reference frame
  * removed dep on numpy.typing as it is not widely available yet
  * mark features as invalid once they disappear
  * returns copy of persons to avoid modifying dictionary while iterating
    While here, add infrastrcutre to check whether a face/body/voice/person is still valid
  * expose the tf transform of the face and gaze
  * add BSD license file
  * [test] further tuning of tests' waiting behaviours for #1
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 17 Oct 2022 22:00:00 -0000

ros-noetic-pyhri (0.1.3-1focal) focal; urgency=high

  * refining waiting + closing in tests -- they all pass reliably on my machine
  * unregister from main topics when closing HRIListener
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 12 Jul 2022 22:00:00 -0000

ros-noetic-pyhri (0.1.2-1focal) focal; urgency=high

  * [cmake] add test only behing CATKIN_ENABLE_TESTING
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 11 Jul 2022 22:00:00 -0000

ros-noetic-pyhri (0.1.1-1focal) focal; urgency=high

  * various fixes after first test with actual ROS4HRI messages
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 05 Jul 2022 22:00:00 -0000

ros-noetic-pyhri (0.1.0-1focal) focal; urgency=high

  * initial implementation, closely following the libhri C++ API
  * all unit-tests pass (modulo random timing/waiting issues)
  * add basic README
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 05 Jul 2022 22:00:00 -0000
